//------------------------------------------------------------------------
//                         RESTRICTED RIGHTS LEGEND
// 
//	COPYRIGHT(C) 2006 EMDEE TECHNOLOGY.  ALL RIGHTS RESERVED.
//------------------------------------------------------------------------

//------------------------------------------------------------------------
//	UsbI2CInterface.h
//
//	Standard header for interfacing applications.  All prototypes for
//	upper-edge interface functions are in here.
//	
//	Note: Only the DLL build needs to define USBI2C_DLL, all other
//  applications should leave it undefined.
//
//	Original Author	- Ryan Munson
//	Date Created	- 14Mar06
//------------------------------------------------------------------------

#ifdef	USBI2C_DLL
	#define	XFCFUNC		extern "C" __declspec(dllexport)
#else
	#define	XFCFUNC		extern "C" __declspec(dllimport)
#endif

typedef unsigned int UAC_HANDLE;

// Function prototypes
XFCFUNC UAC_HANDLE UsbI2cOpen(int devAddress);
XFCFUNC void UsbI2cClose(UAC_HANDLE devHandle);
XFCFUNC int UsbIsDeviceActive(UAC_HANDLE devHandle);
XFCFUNC int UsbI2cWrite(UAC_HANDLE devHandle, unsigned short address, char *data, unsigned short length);
XFCFUNC int UsbI2cRead(UAC_HANDLE devHandle, unsigned short address, char *data, unsigned short length);
XFCFUNC int UsbInputLevel(UAC_HANDLE devHandle, float level, int leftOrRight);
XFCFUNC int UsbOutputLevel(UAC_HANDLE devHandle, float level);
XFCFUNC int UsbOutputBalance(UAC_HANDLE devHandle, float fRange);
XFCFUNC float UsbGetInputLevel(UAC_HANDLE devHandle, int leftOrRight);
XFCFUNC float UsbGetOutputLevel(UAC_HANDLE devHandle);
XFCFUNC float UsbGetOutputBalance(UAC_HANDLE devHandle);
XFCFUNC int UsbSetXDFP(UAC_HANDLE devHandle, int nXDFPAddr, unsigned long nXDFPData);
XFCFUNC unsigned long UsbGetXDFP(UAC_HANDLE devHandle, int nXDFPAddr);
XFCFUNC int UsbGetBoardSchema(UAC_HANDLE devHandle);
XFCFUNC int UsbGetLowGPIO(UAC_HANDLE devHandle);



